# Find Meeting Times

This activity suggests a meeting time and location-based or organizer and attendee availability and the specific time in which the meeting should occur etc using the Microsoft Graph [Find meeting times](https://docs.microsoft.com/en-us/graph/api/user-findmeetingtimes?view=graph-rest-1.0\&tabs=http) API.

### Input

* **Connection Id:** [`GraphServiceClient Variable`](/getting-started/rpa-studio/variables.md#graphserviceclient) <mark style="color:red;">`Required`</mark>\
  Specifies the office 365 connection id.
* **Account:** [`String Argument`](/getting-started/rpa-studio/arguments.md#string)\
  Specifies an email address with which to interact. This property can include any shared mailbox to which the current user has access rights. If the property field is left empty, the current user's account is used. This is an **optional** property.
* **Attendees:**[`String Argument`](/getting-started/rpa-studio/arguments.md#string) <mark style="color:red;">`Required`</mark>\
  Specifies the email addresses of the attendees.Each of the mail addresses should be separated by a **semicolon**.
* **Interval Start:** [`String Argument`](/getting-started/rpa-studio/arguments.md#string)\
  Specifies the begining of the time period to search for the openings in [**DateTime**](/rpa-studio/datetime.md) format. The input should be given in **double-quotes**.
* **Interval End:** [`String Argument`](/getting-started/rpa-studio/arguments.md#string)\
  Specifies the ending of the time period to search for the openings in [**DateTime**](/rpa-studio/datetime.md) format. The input should be given in **double-quotes**.
* **Meeting Duration:** [`Integer Argument`](/getting-started/rpa-studio/arguments.md#types-of-arguments)\
  Specifies the duration of the meeting in minutes. By default the value is 30.
* **Time Zone:** [`String Argument`](/getting-started/rpa-studio/arguments.md#string)\
  Specifies the time zone in which the Start Time and End Time are to be interpreted. The default value is the local system time zone.

### Options

* **Locations:** [`String Argument`](/getting-started/rpa-studio/arguments.md#string)\
  Specifies the room or location names to search.Each of the room or location names should be separated by a **semicolon**. If the specified locations or meeting rooms are not available, the activity does not return any suggestions.
* **Organizer Required:**\
  If set to **true**, then the user is a required attendee for the given meeting.
* **Policy:**\
  Specifies the attendee restrictions to be followed while searching for the available meeting times. The available options are:

  * **Unknown -** Behaves the same as `work`. Change any existing code to use `work`, `personal` or `unrestricted` as appropriate.
  * **Work -** Suggestions are within the user's work hours which are defined in the user’s calendar configuration and can be customized by the user or administrator. The default work hours are Monday to Friday, 8 am to 5 pm in the time zone set for the mailbox. This is the default value if no **activity Domain** is specified.
  * **Personal -** Suggestions are within the user's work hours, and Saturday and Sunday. The default is Monday to Sunday, 8 am to 5 pm, in the time zone setting for the mailbox.
  * **Unrestricted -** Suggestions can be from all hours of a day, all days of a week.

  By default the value is **Unrestricted.**

### **Output**

* **Available Timeslots:** [`MeetingTimeSuggestion Variable`](/getting-started/rpa-studio/variables.md#meetingtimesuggestion)\
  Specifies an array of meeting times, attendees available.
* **Empty Suggestion Reason:** [`String Variable`](/getting-started/rpa-studio/variables.md#string)\
  Specifies a reason for not returning any meeting suggestion. The available values may include attendeesUnavailable, attendeesUnavailableOrUnknown, locationsUnavailable, organizerUnavailable, or unknown.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.visualyze.ai/integrations/office-365/activities/calendar/find-meeting-times.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
